<?php

namespace app\model;

use DateTimeInterface;
use support\Model;

class MemberAccountList extends Model
{

    protected $table = 'member_account_list';

    protected $primaryKey = 'member_account_list_id';

    protected $dateFormat = 'U';

    const CREATED_AT = 'member_account_list_addtimes';

    const UPDATED_AT = null;

    public function serializeDate(DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }

    public function member()
    {
        return $this->hasOne(Member::class, 'member_id', 'join_member_account_list_member_id');
    }

    public function memberInfo()
    {
        return $this->hasOne(MemberInfo::class, 'join_info_member_id', 'join_member_account_list_member_id');
    }

    public function memberCert()
    {
        return $this->hasOne(MemberCert::class, 'join_cert_member_id', 'join_member_account_list_member_id');
    }
}